diff --git a/src/GLPI.php b/src/GLPI.php
--- a/src/GLPI.php
+++ b/src/GLPI.php
@@ -71,11 +71,8 @@

         foreach (['php', 'sql'] as $type) {
             $logger = new Logger('glpi' . $type . 'log');
-            $handler = new StreamHandler(
-                GLPI_LOG_DIR . "/{$type}-errors.log",
-                $this->log_level
-            );
-            $formatter = new LineFormatter(null, 'Y-m-d H:i:s', true, true);
+            $handler = new StreamHandler('php://stdout', $this->log_level);
+            $formatter = new LineFormatter(null, null, true, true);
             $handler->setFormatter($formatter);
             $logger->pushHandler($handler);
             switch ($type) {

--- a/src/Migration.php
+++ b/src/Migration.php
@@ -198,7 +198,7 @@
        // Do not log if more than 3 log error
         if (
             $this->log_errors < 3
-            && !Toolbox::logInFile($log_file_name, $message . "\n", true)
+            && !Toolbox::logInFile($log_file_name, $message . PHP_EOL, true)
         ) {
             $this->log_errors++;
         }

diff --git a/src/Toolbox.php b/src/Toolbox.php
--- a/src/Toolbox.php
+++ b/src/Toolbox.php
@@ -611,7 +611,7 @@

         $user = '';
         if (method_exists('Session', 'getLoginUserID')) {
-            $user = " [" . Session::getLoginUserID() . '@' . php_uname('n') . "]";
+            $user = Session::getLoginUserID().'@'.php_uname('n');
         }

         $ok = true;
@@ -619,7 +619,15 @@
             (isset($CFG_GLPI["use_log_in_files"]) && $CFG_GLPI["use_log_in_files"])
             || $force
         ) {
-            $ok = error_log(date("Y-m-d H:i:s") . "$user\n" . $text, 3, GLPI_LOG_DIR . "/" . $name . ".log");
+            $msg = sprintf(
+                '%s %s %s: %s %s',
+                date('[d/M/Y:H:i:s O]'),
+                filter_input(INPUT_SERVER, 'REQUEST_ID'),
+                $name,
+                $user,
+                $text
+            );
+            $ok = error_log($msg, 3, 'php://stdout');
         }

         /** @var \Glpi\Console\Application $application */
